--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: A parser that succeeds when the given predicate returns true (with the current input as the parameter). <em>expected</em> is the error message when <em>pred</em> returns false.
full_name: RParsec::Parsers#satisfies
is_singleton: false
name: satisfies
params: (expected, &pred)
visibility: public
